v 15.0 Third Party 5127
Download for v 15.0 Deploy on Odoo.sh
Backend themes might not work with Odoo Enterprise Edition. Please read the description carefully and, in doubt, ask the author before buying.
Lines of code 4118
Technical Name vista_backend_theme
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 14.0 v 16.0
You bought this module and need support? Click here!
Lines of code 4118
Technical Name vista_backend_theme
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 14.0 v 16.0

Vista Backend Theme

Multi-Color & Multi-Design Backend Theme for Odoo 15

The app enables a user friendly backend theme for Odoo 15.0 community edition.
Carefully Crafted
Responsive Design
Quality Checked

Kanban View

Kanban view with a clean layout and modified font.

Custom Login

Minimal, Colorful Login Screen

Customized minimal and colorful login screen.

Colored UI Elements

Discuss

Discuss page with a different style.

Responsive Layout

Truly Responsive

Fully responsive layout which enables to view and manage everything from the comfort of your mobile device.

Responsive Layout

Modified App Drawer

Modified app drawer which helps to navigate through different applications.

Colored UI Elements

Custom Date Picker

Customized date picker

Colored UI Elements

Tree View

Tree view with a clean layout and modified font.

Colored UI Elements

Form View

Form view with a clean layout and modified font.

Our Services

We provide following services

Odoo Customization
Odoo Implementation
Odoo Support
Hire Odoo Developer
Odoo Integration
Odoo Migration
Odoo Consultancy
Odoo Implementation
Odoo Licensing Consultancy

Our Industries

Our industry specifics and process segments to solve your complex business barriers.

Trading

Easily procure and sell your products

POS

Easy configuration and convivial experience

Education

A platform for educational management

Manufacturing

Plan, track and schedule your operations

E-commerce & Website

Mobile friendly, awe-inspiring product pages

Service Management

Keep track of services and invoice

Restaurant

Run your bar or restaurant methodically

Hotel Management

An all-inclusive hotel management application

Need Help?

Do you have any queries regarding our products & services? Let us know.


Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
not working on Odoo v15
by
Pablo Alejandro Alandia Soto
on 6/6/22, 11:35 AM

RPC_ERROR

Odoo Server Error

Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 474, in load_modules

    processed_modules += load_marked_modules(cr, graph,

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 363, in load_marked_modules

    loaded, processed = load_module_graph(

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 186, in load_module_graph

    getattr(py_module, pre_init)(cr)

  File "/mnt/extra-addons/vista_backend_theme/hooks.py", line 146, in test_pre_init_hook

    menu.write({'web_icon_data': base64.b64encode(open(img_path, "rb").read())})

  File "/usr/lib/python3.9/base64.py", line 58, in b64encode

    encoded = binascii.b2a_base64(s, newline=False)

TypeError: a bytes-like object is required, not 'NoneType'


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 687, in dispatch

    result = self._call_function(**self.params)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 348, in checked_call

    result = self.endpoint(*a, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 916, in __call__

    return self.method(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 535, in response_wrap

    response = f(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1351, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1339, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 464, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 451, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-74>", line 2, in button_immediate_install

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 74, in check_and_log

    return method(self, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 483, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 600, in _button_immediate_function

    registry = modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 87, in new

    odoo.modules.load_modules(registry, force_demo, status, update_module)

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 585, in load_modules

    registry.updated_modules += processed_modules

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 159, in __exit__

    self.close()

  File "<decorator-gen-4>", line 2, in close

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 89, in check

    return f(self, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 376, in close

    return self._close(False)

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 402, in _close

    self.rollback()

  File "<decorator-gen-8>", line 2, in rollback

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 89, in check

    return f(self, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 481, in rollback

    result = self._cnx.rollback()

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 643, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 301, in _handle_exception

    raise exception.with_traceback(None) from new_cause

psycopg2.OperationalError: could not receive data from server: Bad file descriptor



no longer works on the latest V15 update
by
Dejan Dubravac
on 3/8/22, 4:09 AM

RPC_ERROR

Odoo Server Error

Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 688, in dispatch

    result = self._call_function(**self.params)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 360, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 349, in checked_call

    result = self.endpoint(*a, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 917, in __call__

    return self.method(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 536, in response_wrap

    response = f(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1352, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1340, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 464, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 451, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-74>", line 2, in button_immediate_install

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 74, in check_and_log

    return method(self, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 483, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 600, in _button_immediate_function

    registry = modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 87, in new

    odoo.modules.load_modules(registry, force_demo, status, update_module)

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 474, in load_modules

    processed_modules += load_marked_modules(cr, graph,

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 363, in load_marked_modules

    loaded, processed = load_module_graph(

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 186, in load_module_graph

    getattr(py_module, pre_init)(cr)

  File "/usr/lib/python3/dist-packages/odoo/addons/vista_backend_theme/hooks.py", line 46, in test_pre_init_hook

    menu.write({'web_icon_data': base64.b64encode(open(img_path, "rb").read())})

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 644, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 302, in _handle_exception

    raise exception.with_traceback(None) from new_cause

OSError: [Errno 9] Mauvais descripteur de fichier



by
FL1 s.r.o.
on 9/1/22, 3:43 AM

the problem is at row 185 in hooks.py


dashboards.png is missing and fail the hook

Re:
by
Cybrosys Technologies
on 9/1/22, 4:32 AM Author

Ok, We will check and get back to you.


by
FL1 s.r.o.
on 9/1/22, 3:42 AM



worker error on install
by
FL1 s.r.o.
on 8/31/22, 12:54 PM

I tried to install on odoo 14 and the problem is the worker.

If you install with worker > 1 you have a problem.

I changed the worker to 0 and install successful.


Re: worker error on install
by
Cybrosys Technologies
on 9/1/22, 1:01 AM Author

Hope after installation you can change back to worker >1 configuration.


Module not installed got error
by
serag ahmed
on 8/13/22, 6:32 AM

RPC_ERROR

Odoo Server Error

Traceback (most recent call last):

  File "/opt/odoo/odoo15/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/opt/odoo/odoo15/odoo/odoo/http.py", line 687, in dispatch

    result = self._call_function(**self.params)

  File "/opt/odoo/odoo15/odoo/odoo/http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/opt/odoo/odoo15/odoo/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/opt/odoo/odoo15/odoo/odoo/http.py", line 348, in checked_call

    result = self.endpoint(*a, **kw)

  File "/opt/odoo/odoo15/odoo/odoo/http.py", line 916, in __call__

    return self.method(*args, **kw)

  File "/opt/odoo/odoo15/odoo/odoo/http.py", line 535, in response_wrap

    response = f(*args, **kw)

  File "/opt/odoo/odoo15/odoo/addons/web/controllers/main.py", line 1351, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "/opt/odoo/odoo15/odoo/addons/web/controllers/main.py", line 1339, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/opt/odoo/odoo15/odoo/odoo/api.py", line 464, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/opt/odoo/odoo15/odoo/odoo/api.py", line 451, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-74>", line 2, in button_immediate_install

  File "/opt/odoo/odoo15/odoo/odoo/addons/base/models/ir_module.py", line 74, in check_and_log

    return method(self, *args, **kwargs)

  File "/opt/odoo/odoo15/odoo/odoo/addons/base/models/ir_module.py", line 483, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "/opt/odoo/odoo15/odoo/odoo/addons/base/models/ir_module.py", line 600, in _button_immediate_function

    registry = modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "/opt/odoo/odoo15/odoo/odoo/modules/registry.py", line 87, in new

    odoo.modules.load_modules(registry, force_demo, status, update_module)

  File "/opt/odoo/odoo15/odoo/odoo/modules/loading.py", line 474, in load_modules

    processed_modules += load_marked_modules(cr, graph,

  File "/opt/odoo/odoo15/odoo/odoo/modules/loading.py", line 363, in load_marked_modules

    loaded, processed = load_module_graph(

  File "/opt/odoo/odoo15/odoo/odoo/modules/loading.py", line 186, in load_module_graph

    getattr(py_module, pre_init)(cr)

  File "/opt/odoo/projects/odoo15/kitsolutions/vista_backend_theme/hooks.py", line 118, in test_pre_init_hook

    menu.write({'web_icon_data': base64.b64encode(open(img_path, "rb").read())})

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/opt/odoo/odoo15/odoo/odoo/http.py", line 643, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/opt/odoo/odoo15/odoo/odoo/http.py", line 301, in _handle_exception

    raise exception.with_traceback(None) from new_cause

OSError: [Errno 9] Bad file descriptor



Theme Problem
by
Mulk
on 8/5/22, 11:35 AM

After installing the theme all went white screen and all i see it this link: http://localhost:8069/web#cids=1

Re: Theme Problem
by
Cybrosys Technologies
on 8/8/22, 5:59 AM Author

Hi, We can't check your link since it's in your local host.
Could you please send an email to odoo@cybrosys.com


CAnt Install in Odoo15 06/June/2022
by
Pablo Alejandro Alandia Soto
on 6/6/22, 11:34 AM

RPC_ERROR

Odoo Server Error

Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 474, in load_modules

    processed_modules += load_marked_modules(cr, graph,

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 363, in load_marked_modules

    loaded, processed = load_module_graph(

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 186, in load_module_graph

    getattr(py_module, pre_init)(cr)

  File "/mnt/extra-addons/vista_backend_theme/hooks.py", line 146, in test_pre_init_hook

    menu.write({'web_icon_data': base64.b64encode(open(img_path, "rb").read())})

  File "/usr/lib/python3.9/base64.py", line 58, in b64encode

    encoded = binascii.b2a_base64(s, newline=False)

TypeError: a bytes-like object is required, not 'NoneType'


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 687, in dispatch

    result = self._call_function(**self.params)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 348, in checked_call

    result = self.endpoint(*a, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 916, in __call__

    return self.method(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 535, in response_wrap

    response = f(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1351, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1339, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 464, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 451, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-74>", line 2, in button_immediate_install

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 74, in check_and_log

    return method(self, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 483, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 600, in _button_immediate_function

    registry = modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 87, in new

    odoo.modules.load_modules(registry, force_demo, status, update_module)

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 585, in load_modules

    registry.updated_modules += processed_modules

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 159, in __exit__

    self.close()

  File "<decorator-gen-4>", line 2, in close

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 89, in check

    return f(self, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 376, in close

    return self._close(False)

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 402, in _close

    self.rollback()

  File "<decorator-gen-8>", line 2, in rollback

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 89, in check

    return f(self, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 481, in rollback

    result = self._cnx.rollback()

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 643, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 301, in _handle_exception

    raise exception.with_traceback(None) from new_cause

psycopg2.OperationalError: could not receive data from server: Bad file descriptor



prevision for new version
by
Rafael Sabino
on 4/27/22, 6:32 AM

Good morning, is there any prediction of when a tweaked version will be released?


installed in loop
by
Rafael Sabino
on 4/26/22, 5:22 AM

É um ótimo tema, mas a instalação continua rodando em loop. Depois disso meu sistema ficou super lento. Infelizmente terei que removê-lo. É um ótimo tema, mas aparentemente sem atualizações.


Don't work on last version
by
Rafael Sabino
on 4/26/22, 5:18 AM

Attention, it doesn't work in the latest version, besides making the odoo system super slow. Whoever comes to download and has the latest version of odoo don't do that. I hope some update comes out, it's the best free theme we see here.

Re: Don't work on last version
by
Cybrosys Technologies
on 4/26/22, 7:06 AM Author

Thanks for letting us know. We will do the needful asap.


by
roberto.vega@exelitycorp.com
on 3/22/22, 12:29 AM

Its possible to enable on 15?


Pretty beautiful theme!BUT...
by
John
on 12/22/21, 8:06 PM

Vista is really a pretty beautiful theme. I can't put her down. However, in the V15 version of odoo, two avatars and information icons, namely two systray, appear in the user information bar. Sometimes they appear when refreshing, and then they are normal when refreshing. Hope to fix it.

In addition, during mobile browsing, a Java error box will pop up, and it will be normal after refreshing. But there are few error prompts on the computer side. I can't understand it.

Thanks again to the designer who developed this theme.


by
Medab VALL
on 11/26/21, 6:21 AM

this module was working fine but suddenly it caused this error in my server 


File "/opt/odoo15/common/odoo/odoo/addons/base/models/ir_asset.py", line 400, in index
Nov 26 10:57:28 odoo15 odoo-bin[1626370]:     self._raise_not_found(path, bundle)
Nov 26 10:57:28 odoo15 odoo-bin[1626370]:   File "/opt/odoo15/common/odoo/odoo/addons/base/models/ir_asset.py", line 433, in _raise_not_found
Nov 26 10:57:28 odoo15 odoo-bin[1626370]:     raise ValueError("File(s) %s not found in bundle %s" % (path, bundle))
Nov 26 10:57:28 odoo15 odoo-bin[1626370]: ValueError: File(s) /vista_backend_theme/static/src/scss/login.scss not found in bundle web.assets_>
Nov 26 10:57:28 odoo15 odoo-bin[1626370]: Error when render the template
Nov 26 10:57:28 odoo15 odoo-bin[1626370]: ValueError: File(s) /vista_backend_theme/static/src/scss/login.scss not found in bundle web.assets_>
Nov 26 10:57:28 odoo15 odoo-bin[1626370]: Template: web.frontend_layout
Nov 26 10:57:28 odoo15 odoo-bin[1626370]: Path: /t/html/head/t[8]
Nov 26 10:57:28 odoo15 odoo-bin[1626370]: Node: <t t-call-assets="web.assets_frontend" t-js="false"/> - - -


by
Mohammed Talas
on 11/17/21, 8:11 AM

This theme fails Odoo Tests on the demo data



can not install this module, the process of install is running forever! check it out please!
by
NghiaLK
on 11/10/21, 10:43 AM


Re: can not install this module, the process of install is running forever! check it out please!
by
Cybrosys Technologies
on 11/17/21, 11:29 PM Author

We have made some changes to resolve this issue. Please get the latest version.